Skip to main content
GET
/
campaigns
/
{campaignId}
/
targets
List campaign targets
curl --request GET \
  --url https://inboxapp.com/api/v1/campaigns/{campaignId}/targets \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "prospect": {
        "platform": "twitter",
        "platformId": "<string>",
        "externalId": "l44e15irdq4db30i77cgphhx",
        "documentId": 858224163,
        "displayName": "<string>",
        "username": "<string>",
        "handle": "<string>",
        "image": "https://pbs.twimg.com/profile_images/1954360649393295360/rwp-vVt6.jpg",
        "imageNormalized": "https://pbs.twimg.com/profile_images/1954360649393295360/rwp-vVt6.jpg",
        "bio": "Social Selling CRM Close deals faster, stay organized, and never miss an opportunity. Starting with X",
        "location": "San Francisco, CA",
        "profileUrl": "<string>",
        "websiteUrl": "https://inboxapp.com",
        "websiteDomain": "inboxapp.com",
        "verified": "none",
        "profileType": "personal",
        "isProtected": true,
        "followerCount": 123,
        "followingCount": 123,
        "postCount": 123,
        "engagementCount": 2613,
        "listedCount": 18,
        "platformCreatedAt": "2022-09-03T17:58:06.000Z",
        "firstSeenAt": "2024-07-09T14:08:49.000Z",
        "lastUpdatedAt": "2023-11-07T05:31:56Z",
        "lastEnrichedAt": "2025-11-10T18:03:16.000Z",
        "lastActiveAt": "2025-11-10T12:00:00.000Z",
        "source": "cached",
        "isFresh": true,
        "isStale": true,
        "confidence": 0.5,
        "accountStatus": "active",
        "platformData": {
          "isVerifiedBlue": true,
          "isVerifiedGold": true,
          "isVerifiedGray": true,
          "professionalCategory": "986",
          "urlEntities": [
            {
              "url": "<string>",
              "expandedUrl": "<string>",
              "displayUrl": "<string>",
              "indices": [
                123,
                123
              ]
            }
          ],
          "bannerUrl": "https://pbs.twimg.com/profile_banners/1566123362161725440/1753273968",
          "tweetsCount": 123,
          "favoritesCount": 123,
          "rawData": {}
        }
      },
      "status": "pending",
      "accountLinkId": "<string>",
      "dispatchedAt": "2023-11-07T05:31:56Z",
      "threadId": "<string>"
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.inboxapp.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

The ID of the campaign

Pattern: ^[0-9a-z]+$

Query Parameters

cursor
string

Pagination cursor from a previous response

limit
integer
default:50

Maximum number of targets to return per page

Required range: 1 <= x <= 100
Example:

50

status
enum<string>

Filter targets by status

Available options:
pending,
ongoing,
replied,
unresponsive,
failed,
canceled,
planned
Examples:

"planned"

"pending"

"ongoing"

"replied"

"unresponsive"

"failed"

"canceled"

Response

200 - application/json

OK

data
object[]
required
nextCursor
string | null
required

Cursor to fetch the next page. Null if there are no more results.